"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const useRefs = (...refs) => {
    return react_1.default.useCallback((reference) => {
        refs.forEach(ref => {
            if (typeof ref === 'function')
                ref(reference);
            else if (ref)
                Object.assign(ref, { current: reference });
        });
    }, refs);
};
exports.default = useRefs;
